OGRE-Next: Ogre::v1::BorderPanelOverlayElement Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::BorderPanelOverlayElement Class Reference
Core » Overlays

A specialisation of the PanelOverlayElement to provide a panel with a border. More...

`#include <OgreBorderPanelOverlayElement.h>`

Inheritance diagram for Ogre::v1::BorderPanelOverlayElement:
[legend]

## Classes
class | CmdBorderBottomLeftUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderBottomRightUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderBottomUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderLeftUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderMaterial
| Command object for specifying the Material for the border (see ParamCommand). More...
class | CmdBorderRightUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderSize
| Command object for specifying border sizes (see ParamCommand). More...
class | CmdBorderTopLeftUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderTopRightUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...
class | CmdBorderTopUV
| Command object for specifying texture coordinates for the border (see ParamCommand). More...

## Public Member Functions
| BorderPanelOverlayElement (const String &name)
| Constructor.
| ~BorderPanelOverlayElement () override
void | _releaseManualHardwareResources () override
| Notifies that hardware resources were lost.
void | _restoreManualHardwareResources () override
| Notifies that hardware resources should be restored.
void | _update () override
| Internal method to update the element based on transforms applied.
void | _updateRenderQueue (RenderQueue *queue, Camera *camera, const Camera *lodCamera) override
| Overridden from OverlayElement.
const String & | getBorderMaterialName () const
| Gets the name of the material to use for the borders.
Real | getBottomBorderSize () const
| Gets the size of the bottom border.
String | getBottomBorderUVString () const
String | getBottomLeftBorderUVString () const
String | getBottomRightBorderUVString () const
Real | getLeftBorderSize () const
| Gets the size of the left border.
String | getLeftBorderUVString () const
Real | getRightBorderSize () const
| Gets the size of the right border.
String | getRightBorderUVString () const
Real | getTopBorderSize () const
| Gets the size of the top border.
String | getTopBorderUVString () const
String | getTopLeftBorderUVString () const
String | getTopRightBorderUVString () const
const String & | getTypeName () const override
| Gets the type name of the element.
void | initialise () override
| Initialise gui element.
void | setBorderMaterialName (const String &name)
| Sets the name of the material to use for the borders.
void | setBorderSize (Real left, Real right, Real top, Real bottom)
| Sets the size of the border separately for all borders.
void | setBorderSize (Real sides, Real topAndBottom)
| Sets the size of the border, with different sizes for vertical and horizontal borders.
void | setBorderSize (Real size)
| Sets the size of the border.
void | setBottomBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the bottom edge of the border.
void | setBottomLeftBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the bottom-left corner of the border.
void | setBottomRightBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the bottom-right corner of the border.
void | setLeftBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the left edge of the border.
void | setMetricsMode (GuiMetricsMode gmm) override
| Tells this element how to interpret the position and dimension values it is given.
void | setRightBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the right edge of the border.
void | setTopBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the top edge of the border.
void | setTopLeftBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the top-left corner of the border.
void | setTopRightBorderUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the top-right corner of the border.
Public Member Functions inherited from Ogre::v1::PanelOverlayElement
| PanelOverlayElement (const String &name)
| Constructor.
| ~PanelOverlayElement () override
void | _releaseManualHardwareResources () override
| Notifies that hardware resources were lost.
void | _restoreManualHardwareResources () override
| Notifies that hardware resources should be restored.
void | _updateRenderQueue (RenderQueue *queue, Camera *camera, const Camera *lodCamera) override
| Overridden from OverlayContainer.
void | getRenderOperation (v1::RenderOperation &op, bool casterPass) override
| See Renderable.
Real | getTileX (ushort layer=0) const
Real | getTileY (ushort layer=0) const
| Gets the number of times the texture should repeat vertically.
const String & | getTypeName () const override
| See OverlayElement.
void | getUV (Real &u1, Real &v1, Real &u2, Real &v2) const
| Get the uv coordinates for the panel.
void | initialise () override
| Initialise.
bool | isTransparent () const
| Returns whether this panel is transparent.
void | setMaterialName (const String &matName) override
| Overridden from OverlayElement.
void | setTiling (Real x, Real y, ushort layer=0)
| Sets the number of times textures should repeat.
void | setTransparent (bool isTransparent)
| Sets whether this panel is transparent (used only as a grouping level), or if it is actually rendered.
void | setUV (Real u1, Real v1, Real u2, Real v2)
| Sets the texture coordinates for the panel.
Public Member Functions inherited from Ogre::v1::OverlayContainer
| OverlayContainer (const String &name)
| Constructor: do not call direct, use OverlayManager::createOverlayElement.
| ~OverlayContainer () override
void | _addChild (OverlayElement *elem)
void | _notifyParent (OverlayContainer *parent, Overlay *overlay) override
| Overridden from OverlayElement.
void | _notifyViewport () override
| Overridden from OverlayElement.
void | _positionsOutOfDate () override
| Tell the object and its children to recalculate.
void | _removeChild (const String &name)
void | _removeChild (OverlayElement *elem)
void | _update () override
| Overridden from OverlayElement.
virtual void | addChild (OverlayElement *elem)
| Adds another OverlayElement to this container.
virtual void | addChildImpl (OverlayContainer *cont)
| Add a nested container to this container.
virtual void | addChildImpl (OverlayElement *elem)
| Adds another OverlayElement to this container.
OverlayElement * | clone (const String &instanceName) override
void | copyFromTemplate (OverlayElement *templateOverlay) override
OverlayElement * | findElementAt (Real x, Real y) override
| This returns a OverlayElement at position x,y.
virtual OverlayElement * | getChild (const String &name)
| Gets the named child of this container.
virtual ChildContainerIterator | getChildContainerIterator ()
| Gets an iterator for just the container children of this object.
virtual ChildIterator | getChildIterator ()
| Gets an object for iterating over all the children of this object.
virtual bool | isChildrenProcessEvents () const
| Should this container pass events to their children.
bool | isContainer () const override
| Overridden from OverlayElement.
virtual void | removeChild (const String &name)
| Removes a named element from this container.
virtual void | setChildrenProcessEvents (bool val)
| Should this container pass events to their children.
Public Member Functions inherited from Ogre::v1::OverlayElement
| OverlayElement (const String &name)
| Constructor: do not call direct, use OverlayManager::createElement.
| ~OverlayElement () override
virtual void | _getClippingRegion (RealRect &clippingRegion)
| Gets the clipping region of the element.
virtual Real | _getDerivedLeft ()
| Gets the 'left' position as derived from own left and that of parents.
virtual Real | _getDerivedTop ()
| Gets the 'top' position as derived from own left and that of parents.
Real | _getHeight () const
| Gets the height of this element in relation to the screen (where 1.0 = screen height).
Real | _getLeft () const
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
virtual Real | _getRelativeHeight ()
| Gets the 'height' as derived from own height and metrics mode.
virtual Real | _getRelativeWidth ()
| Gets the 'width' as derived from own width and metrics mode.
Real | _getTop () const
| Gets the top of this element in relation to the screen (where 0 = far left, 1.0 = far right).
Real | _getWidth () const
| Gets the width of this element in relation to the screen (where 1.0 = screen width).
void | _setDimensions (Real width, Real height)
| Sets the width and height of this element in relation to the screen (where 1.0 = screen width).
void | _setHeight (Real height)
| Sets the height of this element in relation to the screen (where 1.0 = screen width).
void | _setLeft (Real left)
| Sets the left of this element in relation to the screen (where 1.0 = screen width).
void | _setParent (OverlayContainer *parent)
void | _setPosition (Real left, Real top)
| Sets the left and top of this element in relation to the screen (where 1.0 = screen width).
void | _setTop (Real top)
| Sets the top of this element in relation to the screen (where 1.0 = screen width).
void | _setWidth (Real width)
| Sets the width of this element in relation to the screen (where 1.0 = screen width).
virtual void | _updateFromParent ()
| Updates this elements transform based on it's parent.
virtual bool | contains (Real x, Real y) const
| Returns true if xy is within the constraints of the component.
virtual const DisplayString & | getCaption () const
| Gets the caption for this element.
virtual const ColourValue & | getColour () const
| Gets the colour for this element.
Real | getHeight () const
| Gets the height of this element in relation to the screen (where 1.0 = screen height).
virtual GuiHorizontalAlignment | getHorizontalAlignment () const
| Gets the horizontal alignment for this element.
Real | getLeft () const
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
const LightList & | getLights () const override
| Gets a list of lights, ordered relative to how close they are to this renderable.
const MaterialPtr & | getMaterial () const
| See Renderable.
virtual const String & | getMaterialName () const
| Gets the name of the material this element uses.
virtual GuiMetricsMode | getMetricsMode () const
| Retrieves the current settings of how the element metrics are interpreted.
const String & | getName () const
| Gets the name of this overlay.
OverlayContainer * | getParent ()
| Returns the parent container.
const OverlayElement * | getSourceTemplate () const
| Returns the SourceTemplate for this element.
Real | getTop () const
| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual GuiVerticalAlignment | getVerticalAlignment () const
| Gets the vertical alignment for this element.
Real | getWidth () const
| Gets the width of this element in relation to the screen (where 1.0 = screen width).
void | getWorldTransforms (Matrix4 *xform) const override
| See Renderable.
virtual void | hide ()
| Hides this element if it was visible.
virtual bool | isCloneable () const
bool | isEnabled () const
virtual bool | isKeyEnabled () const
bool | isVisible () const
| Returns whether or not the element is visible.
virtual void | setCaption (const DisplayString &text)
| Sets the caption on elements that support it.
virtual void | setCloneable (bool c)
virtual void | setColour (const ColourValue &col)
| Sets the colour on elements that support it.
void | setDimensions (Real width, Real height)
| Sets the dimensions of this element in relation to the screen (1.0 = screen width/height).
virtual void | setEnabled (bool b)
void | setHeight (Real height)
| Sets the height of this element in relation to the screen (where 1.0 = screen height).
virtual void | setHorizontalAlignment (GuiHorizontalAlignment gha)
| Sets the horizontal origin for this element.
void | setLeft (Real left)
| Sets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
void | setPosition (Real left, Real top)
| Sets the position of the top-left corner of the element, relative to the screen size (1.0 = screen width / height).
void | setTop (Real Top)
| Sets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual void | setVerticalAlignment (GuiVerticalAlignment gva)
| Sets the vertical origin for this element.
void | setWidth (Real width)
| Sets the width of this element in relation to the screen (where 1.0 = screen width).
virtual void | show ()
| Shows this element if it was hidden.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
virtual void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary ()
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary () const
virtual String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters () const
| Retrieves a list of parameters valid for this object.
virtual bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
virtual void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.
Public Member Functions inherited from Ogre::Renderable
| Renderable ()
virtual | ~Renderable ()
| Virtual destructor needed as class has virtual methods.
virtual void | _setHlmsHashes (uint32 hash, uint32 casterHash)
| Manually sets the hlms hashes. Don't call this directly.
virtual void | _setNullDatablock ()
| Sets the datablock to a null pointer.
virtual void | _updateCustomGpuParameter (const GpuProgramParameters_AutoConstantEntry &constantEntry, GpuProgramParameters *params) const
| Update a custom GpuProgramParameters constant which is derived from information only this Renderable knows.
void | addPoseWeight (size_t index, float w)
virtual bool | getCastsShadows () const
| Method which reports whether this renderable would normally cast a shadow.
uint8 | getCurrentMaterialLod () const
const Vector4 & | getCustomParameter (size_t index) const
| Gets the custom value associated with this Renderable at the given index.
const CustomParameterMap & | getCustomParameters () const
HlmsDatablock * | getDatablock () const
const String & | getDatablockOrMaterialName () const
uint32 | getHlmsCasterHash () const
uint32 | getHlmsHash () const
MaterialPtr | getMaterial () const
| Retrieves the material this renderable object uses.
unsigned short | getNumPoses () const
virtual unsigned short | getNumWorldTransforms () const
| Returns the number of world transform matrices this renderable requires.
virtual bool | getPolygonModeOverrideable () const
| Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.
bool | getPoseHalfPrecision () const
bool | getPoseNormals () const
TexBufferPacked * | getPoseTexBuffer () const
float | getPoseWeight (size_t index) const
float * | getPoseWeights () const
uint8 | getRenderQueueSubGroup () const
bool | getUseIdentityProjection () const
| Returns whether or not to use an 'identity' projection.
bool | getUseIdentityView () const
| Returns whether or not to use an 'identity' view.
virtual bool | getUseIdentityViewProjMatrixIsDynamic () const
| Returns whether the Hlms implementation should evaluate getUseIdentityProjection per object at runtime, or if it can assume the Renderable will remain with the same setting until the datablock is flushed (performance optimization).
virtual bool | getUseIdentityWorldMatrix () const
| Returns whether the world matrix is an identity matrix.
virtual OGRE_DEPRECATED const Any & | getUserAny () const
UserObjectBindings & | getUserObjectBindings ()
| Return an instance of user objects binding associated with this class.
const UserObjectBindings & | getUserObjectBindings () const
| Return an instance of user objects binding associated with this class.
const VertexArrayObjectArray & | getVaos (VertexPass vertexPass) const
bool | hasCustomParameter (size_t index) const
| Checks whether a custom value is associated with this Renderable at the given index.
bool | hasSkeletonAnimation () const
virtual void | postRender (SceneManager *sm, RenderSystem *rsys)
| Called immediately after the Renderable has been rendered.
virtual bool | preRender (SceneManager *sm, RenderSystem *rsys)
| Called just prior to the Renderable being rendered.
void | removeCustomParameter (size_t index)
| Removes a custom value which is associated with this Renderable at the given index.
void | setCustomParameter (size_t index, const Vector4 &value)
| Sets a custom parameter for this Renderable, which may be used to drive calculations for this specific Renderable, like GPU program parameters.
virtual void | setDatablock (HlmsDatablock *datablock)
| Assigns a datablock (i.e. HLMS Material) to this renderable.
void | setDatablock (IdString datablockName)
| Assigns a datablock (i.e.
void | setDatablockOrMaterialName (String materialName, String groupName)
| First tries to see if an HLMS datablock exist with the given name, if not, tries to search among low level materials.
virtual void | setMaterial (const MaterialPtr &material)
| Sets the given material. Overrides HLMS materials.
void | setMaterialName (const String &name, const String &groupName)
| Sets the name of the Material to be used. Prefer using HLMS.
virtual void | setPolygonModeOverrideable (bool override)
| Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.
void | setPoseWeight (size_t index, float w)
void | setRenderQueueSubGroup (uint8 subGroup)
| Sets the render queue sub group.
void | setUseIdentityProjection (bool useIdentityProjection)
| Sets whether or not to use an 'identity' projection.
void | setUseIdentityView (bool useIdentityView)
| Sets whether or not to use an 'identity' view.
virtual OGRE_DEPRECATED void | setUserAny (const Any &anything)

## Additional Inherited Members
Public Types inherited from Ogre::v1::OverlayContainer
typedef MapIterator< ChildContainerMap > | ChildContainerIterator
typedef map< String, OverlayContainer * >::type | ChildContainerMap
typedef MapIterator< ChildMap > | ChildIterator
typedef map< String, OverlayElement * >::type | ChildMap
Public Types inherited from Ogre::Renderable
typedef map< size_t, Vector4 >::type | CustomParameterMap
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.
Static Public Member Functions inherited from Ogre::Renderable
static uint8 | getDefaultRenderQueueSubGroup ()
static void | setDefaultRenderQueueSubGroup (uint8 subGroup)
| Sets the default render queue sub group for all future Renderable instances.
Public Attributes inherited from Ogre::Renderable
uint8 | mCustomParameter
uint32 | mHlmsGlobalIndex
| Index in the vector holding this Rendrable reference in the HLMS datablock.
bool | mRenderableVisible
| Control visibility at Renderable (e.g.

## Detailed Description

A specialisation of the PanelOverlayElement to provide a panel with a border.

Remarks
  Whilst the standard panel can use a single tiled material, this class allows panels with a tileable backdrop plus a border texture. This is handy for large panels that are too big to use a single large texture with a border, or for multiple different size panels where you want the border a constant width but the center to repeat.

  In addition to the usual PanelOverlayElement properties, this class has a 'border material', which specifies the material used for the edges of the panel, a border width (which can either be constant all the way around, or specified per edge), and the texture coordinates for each of the border sections.

## Constructor & Destructor Documentation

## ◆ BorderPanelOverlayElement()

Ogre::v1::BorderPanelOverlayElement::BorderPanelOverlayElement | ( | const String & | name | ) |

Constructor.

## ◆ ~BorderPanelOverlayElement()

Ogre::v1::BorderPanelOverlayElement::~BorderPanelOverlayElement | ( |  | ) |
| override

## Member Function Documentation

## ◆ _releaseManualHardwareResources()

void Ogre::v1::BorderPanelOverlayElement::_releaseManualHardwareResources | ( |  | ) |
| overridevirtual

Notifies that hardware resources were lost.

Reimplemented from Ogre::v1::OverlayElement.

## ◆ _restoreManualHardwareResources()

void Ogre::v1::BorderPanelOverlayElement::_restoreManualHardwareResources | ( |  | ) |
| overridevirtual

Notifies that hardware resources should be restored.

Reimplemented from Ogre::v1::OverlayElement.

## ◆ _update()

void Ogre::v1::BorderPanelOverlayElement::_update | ( |  | ) |
| overridevirtual

Internal method to update the element based on transforms applied.

Reimplemented from Ogre::v1::OverlayElement.

## ◆ _updateRenderQueue()

void Ogre::v1::BorderPanelOverlayElement::_updateRenderQueue | ( | RenderQueue * | queue,
|  | Camera * | camera,
|  | const Camera * | lodCamera )
| overridevirtual

Overridden from OverlayElement.

Reimplemented from Ogre::v1::OverlayElement.

## ◆ getBorderMaterialName()

const String & Ogre::v1::BorderPanelOverlayElement::getBorderMaterialName | ( |  | ) | const

Gets the name of the material to use for the borders.

## ◆ getBottomBorderSize()

Real Ogre::v1::BorderPanelOverlayElement::getBottomBorderSize | ( |  | ) | const

Gets the size of the bottom border.

## ◆ getBottomBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getBottomBorderUVString | ( |  | ) | const

## ◆ getBottomLeftBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getBottomLeftBorderUVString | ( |  | ) | const

## ◆ getBottomRightBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getBottomRightBorderUVString | ( |  | ) | const

## ◆ getLeftBorderSize()

Real Ogre::v1::BorderPanelOverlayElement::getLeftBorderSize | ( |  | ) | const

Gets the size of the left border.

## ◆ getLeftBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getLeftBorderUVString | ( |  | ) | const

## ◆ getRightBorderSize()

Real Ogre::v1::BorderPanelOverlayElement::getRightBorderSize | ( |  | ) | const

Gets the size of the right border.

## ◆ getRightBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getRightBorderUVString | ( |  | ) | const

## ◆ getTopBorderSize()

Real Ogre::v1::BorderPanelOverlayElement::getTopBorderSize | ( |  | ) | const

Gets the size of the top border.

## ◆ getTopBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getTopBorderUVString | ( |  | ) | const

## ◆ getTopLeftBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getTopLeftBorderUVString | ( |  | ) | const

## ◆ getTopRightBorderUVString()

String Ogre::v1::BorderPanelOverlayElement::getTopRightBorderUVString | ( |  | ) | const

## ◆ getTypeName()

const String & Ogre::v1::BorderPanelOverlayElement::getTypeName | ( |  | ) | const
| overridevirtual

Gets the type name of the element.

All concrete subclasses must implement this.

Implements Ogre::v1::OverlayElement.

## ◆ initialise()

void Ogre::v1::BorderPanelOverlayElement::initialise | ( |  | ) |
| overridevirtual

Initialise gui element.

Implements Ogre::v1::OverlayElement.

## ◆ setBorderMaterialName()

void Ogre::v1::BorderPanelOverlayElement::setBorderMaterialName | ( | const String & | name | ) |

Sets the name of the material to use for the borders.

## ◆ setBorderSize() [1/3]

void Ogre::v1::BorderPanelOverlayElement::setBorderSize | ( | Real | left,
|  | Real | right,
|  | Real | top,
|  | Real | bottom )

Sets the size of the border separately for all borders.

Remarks
  This method sets a size all borders separately. Remember that the dimensions specified here are in relation to the size of the screen, so 0.1 is 1/10th of the screen width or height. Also note that because most screen resolutions are 1.333:1 width:height ratio that using the same border size will look slightly bigger across than up.

Parameters

  left | The size of the left border as a factor of the screen dimensions ie 0.2 is one-fifth of the screen size.
  right | The size of the left border as a factor of the screen dimensions.
  top | The size of the top border as a factor of the screen dimensions.
  bottom | The size of the bottom border as a factor of the screen dimensions.

## ◆ setBorderSize() [2/3]

void Ogre::v1::BorderPanelOverlayElement::setBorderSize | ( | Real | sides,
|  | Real | topAndBottom )

Sets the size of the border, with different sizes for vertical and horizontal borders.

Remarks
  This method sets a size for the side and top / bottom borders separately. Remember that the dimensions specified here are in relation to the size of the screen, so 0.1 is 1/10th of the screen width or height. Also note that because most screen resolutions are 1.333:1 width:height ratio that using the same border size will look slightly bigger across than up.

Parameters

  sides | The size of the side borders as a factor of the screen dimensions ie 0.2 is one-fifth of the screen size.
  topAndBottom | The size of the top and bottom borders as a factor of the screen dimensions.

## ◆ setBorderSize() [3/3]

void Ogre::v1::BorderPanelOverlayElement::setBorderSize | ( | Real | size | ) |

Sets the size of the border.

Remarks
  This method sets a constant size for all borders. There are also alternative methods which allow you to set border widths for individual edges separately. Remember that the dimensions specified here are in relation to the size of the screen, so 0.1 is 1/10th of the screen width or height. Also note that because most screen resolutions are 1.333:1 width:height ratio that using the same border size will look slightly bigger across than up.

Parameters

  size | The size of the border as a factor of the screen dimensions ie 0.2 is one-fifth of the screen size.

## ◆ setBottomBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setBottomBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the bottom edge of the border.

Remarks
  See setLeftBorderUV.

## ◆ setBottomLeftBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setBottomLeftBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the bottom-left corner of the border.

Remarks
  See setLeftBorderUV.

## ◆ setBottomRightBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setBottomRightBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the bottom-right corner of the border.

Remarks
  See setLeftBorderUV.

## ◆ setLeftBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setLeftBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the left edge of the border.

Remarks
  The border panel uses 8 panels for the border (9 including the center). Imagine a table with 3 rows and 3 columns. The corners are always the same size, but the edges stretch depending on how big the panel is. Those who have done resizable HTML tables will be familiar with this approach.

  We only require 2 sets of uv coordinates, one for the top-left and one for the bottom-right of the panel, since it is assumed the sections are aligned on the texture.

## ◆ setMetricsMode()

void Ogre::v1::BorderPanelOverlayElement::setMetricsMode | ( | GuiMetricsMode | gmm | ) |
| overridevirtual

Tells this element how to interpret the position and dimension values it is given.

Remarks
  By default, OverlayElements are positioned and sized according to relative dimensions of the screen. This is to ensure portability between different resolutions when you want things to be positioned and sized the same way across all resolutions. However, sometimes you want things to be sized according to fixed pixels. In order to do this, you can call this method with the parameter GMM_PIXELS. Note that if you then want to place your element relative to the center, right or bottom of it's parent, you will need to use the setHorizontalAlignment and setVerticalAlignment methods.

Reimplemented from Ogre::v1::OverlayElement.

## ◆ setRightBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setRightBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the right edge of the border.

Remarks
  See setLeftBorderUV.

## ◆ setTopBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setTopBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the top edge of the border.

Remarks
  See setLeftBorderUV.

## ◆ setTopLeftBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setTopLeftBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the top-left corner of the border.

Remarks
  See setLeftBorderUV.

## ◆ setTopRightBorderUV()

void Ogre::v1::BorderPanelOverlayElement::setTopRightBorderUV | ( | Real | u1,
|  | Real | v1,
|  | Real | u2,
|  | Real | v2 )

Sets the texture coordinates for the top-right corner of the border.

Remarks
  See setLeftBorderUV.

The documentation for this class was generated from the following file:

- OgreBorderPanelOverlayElement.h